<navbar addchatwindow="vm.addChatWindow"></navbar>
<sidebar user="vm.global.selectedUser" addchatwindow="vm.addChatWindow"></sidebar>
<div class="main">
  <admin         ng-show="vm.global.state == 'admin'"></admin>
  <activity      ng-show="vm.global.state == 'user'"></activity>
  <main-search   ng-show="vm.global.state == 'search'"></main-search>
  <main-books    ng-show="vm.global.state == 'books'"></main-books>
  <main-requests ng-show="vm.global.state == 'requests'"></main-requests>
  <main-settings ng-show="vm.global.state == 'settings'"></main-settings>
  <div class="preloader" ng-hide="vm.global.state">
   <svg class="spinner" width="64px" height="64px" viewBox="0 0 66 66">
     <circle class="path" fill="none" stroke-width="6" stroke-linecap="round" cx="33" cy="33" r="30"></circle>
   </svg>
  </div>
</div>
<left-sidebar user="vm.user" chats="vm.chat_windows" addchatwindow="vm.addChatWindow"></left-sidebar>
<chat ng-repeat="user in vm.global.chat_windows" index="$index" closechatwindow="vm.closeChatWindow" user="user"></chat>
<!-- <footer id="footer" class="clearfix">
  <div id="subfooter">
      <div class="container">
          <div id="copyrights" class="col-xs-12 col-sm-4 col-md-3">
              <p>2016 © All Rights Reserved</p>
          </div>
      </div>
  </div>
</footer> -->
